import { IApiSuccess, IDataTableQuery, IDataFetcherResponse } from '../../api.models';
import { ICountry } from './Country.models';

export declare const countryApi: {
    /** Get List of cached Country values */
    getCountries(query?: IDataTableQuery): Promise<IDataFetcherResponse<ICountry>>;
    /** Get List of cached Country values */
    getCountriesCached(query?: IDataTableQuery & {
        forceRefresh?: boolean;
    }): Promise<IDataFetcherResponse<ICountry>>;
    /** List of cached Country values */
    getCachedValues(): Promise<IApiSuccess>;
};
